Subject: Re: [PATCH v2 0/3] parse: replace atoi() with strtoul_ui() and strtol_i()

From: Taylor Blau <[email-masked]>
Date: Fri, 18 Oct 2024 17:21:58 -0400

On Fri, Oct 18, 2024 at 01:52:57PM +0000, Usman Akinyemi via GitGitGadget wrote:
> Changes from Version 1:
>
>  * In my initial commit, I mistakenly included changes from a different
>    patch and commit. This issue has now been resolved.

Should we treat this as a new series, then? Or is this a true reroll of
the previous round and should be kept together?

>  * I have split the original commit into three separate patches for better
>    clarity and organization.
>  * I added corresponding tests for each of the changes to ensure proper
>    functionality.
>  * In the first version, I used the following logic: if (strtoul_ui(v, 10,
>    &timeout) == 0) Based on feedback from my mentor, I improved it to:
>    (strtoul_ui(v, 10, &timeout)) and similar cases.
>
> Usman Akinyemi (3):
>   daemon: replace atoi() with strtoul_ui() and strtol_i()
>   merge: replace atoi() with strtol_i() for marker size validation
>   imap: replace atoi() with strtol_i() for UIDVALIDITY and UIDNEXT
>     parsing

Thanks,
Taylor